## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1

# https://github.com/gopasspw/gopass
%global goipath         github.com/gopasspw/gopass
Version:                1.15.14

%gometa -L -f

%global common_description %{expand:
The slightly more awesome standard unix password manager for teams.}

Name:           gopass
Release:        %autorelease
Summary:        The slightly more awesome standard unix password manager for teams

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSD-3-Clause-HP AND CC0-1.0 AND ISC AND MIT AND MPL-2.0 AND (Apache-2.0 OR MIT)
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

BuildRequires:  go-vendor-tools
BuildRequires:  git-core
BuildRequires:  gnupg2
Requires:       git-core
Requires:       gnupg2

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
export LDFLAGS="-X main.version=%{version} $(LDFLAGS)"
%gobuild -o %{gobuilddir}/bin/gopass %{goipath}
%{gobuilddir}/bin/gopass completion bash > gopass.bash
%{gobuilddir}/bin/gopass completion fish > gopass.fish
%{gobuilddir}/bin/gopass completion zsh  > gopass.zsh

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -Dp gopass.bash                 %{buildroot}%{_datadir}/bash-completion/completions/gopass
install -Dp gopass.fish                 %{buildroot}%{_datadir}/fish/vendor_completions.d/gopass.fish
install -Dp gopass.zsh                  %{buildroot}%{_datadir}/zsh/site-functions/_gopass

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
git config --global user.email "%{name}-owner@fedoraproject.org"
git config --global user.name "%{name} maintainer"
%gocheck -d github.com/gopasspw/gopass/internal/config -d github.com/gopasspw/gopass/internal/store/leaf -d github.com/gopasspw/gopass/internal/updater -d github.com/gopasspw/gopass/pkg/fsutil
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc docs ARCHITECTURE.md CHANGELOG.md CONTRIBUTING.md GOVERNANCE.md README.md
%{_bindir}/gopass
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_%{name}

%changelog
## START: Generated by rpmautospec
* Mon Aug 05 2024 Fabio Alessandro Locati <me@fale.io> - 1.15.14-1
- Update to 1.15.14, fixes rhbz#2302762

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 14 2024 Fabio Alessandro Locati <me@fale.io> - 1.15.13-2
- Remove unused binaries build

* Sat Jul 13 2024 Fabio Alessandro Locati <me@fale.io> - 1.15.13-1
- Update to 1.15.13 and move to vendoring

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.15.2-6
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Fabio Alessandro Locati <me@fale.io> - 1.15.2-1
- update to 1.15.2. Fixes rhbz#2155104

* Mon Dec 12 2022 Fabio Alessandro Locati <me@fale.io> - 1.15.1-3
- Add comment

* Mon Dec 12 2022 Fabio Alessandro Locati <me@fale.io> - 1.15.1-2
- forgot source

* Mon Dec 12 2022 Fabio Alessandro Locati <me@fale.io> - 1.15.1-1
- update to 1.15.1. Fixes rhbz#2152468

* Sun Dec 11 2022 Fabio Alessandro Locati <me@fale.io> - 1.15.0-2
- Add the needed files to run the tests

* Sun Dec 04 2022 Fabio Alessandro Locati <me@fale.io> - 1.15.0-1
- update to 1.15.0. Fixes rhbz#2125917

* Sun Nov 13 2022 Fabio Alessandro Locati <me@fale.io> - 1.14.10-1
- update to 1.14.10

* Tue Sep 06 2022 Fabio Alessandro Locati <me@fale.io> - 1.14.5-1
- update to 1.14.5. Fixes rhbz#2123985

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 1.14.4-2
- Rebuild to fix FTBFS

* Sat Aug 06 2022 Fabio Alessandro Locati <me@fale.io> - 1.14.4-1
- update to 1.14.4, fixes rhbz#2114747 rhbz#2113200

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.14.3-2
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Thu Jun 23 2022 Fabio Alessandro Locati <me@fale.io> - 1.14.3-1
- update to 1.14.3, fixes rhbz#2092087

* Thu Jun 23 2022 Fabio Alessandro Locati <me@fale.io> - 1.14.2-3
- fix rhbz#2099567

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.14.2-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu May 26 2022 Fabio Alessandro Locati <me@fale.io> - 1.14.2-1
- update to 1.14.2. rhbz#2089105

* Wed May 04 2022 Fabio Alessandro Locati <me@fale.io> - 1.14.1-1
- update to 1.14.1. rhbz#2081590

* Wed Apr 20 2022 laiot <carmelo.sarta.main@gmail.com> - 1.14.0-2
- Updated package version to 1.14.0

* Wed Apr 20 2022 laiot <carmelo.sarta.main@gmail.com> - 1.14.0-1
- Updated package version to 1.14.0

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> - 1.13.1-2
- Rebuilt for CVE-2022-27191

* Tue Mar 29 2022 Fabio Alessandro Locati <me@fale.io> - 1.13.1-1
- First commit. Review #2053969
## END: Generated by rpmautospec
